#!/bin/sh
if [ "$#" -eq 0 ]; then
	REPOS="Client Cluster ClusterStorage Server VT Workstation ClientAddons ServerAddons WorkstationAddons"
else
	REPOS="$@"
fi
echo Doing $REPOS
for a in i386 x86_64; do
	for d in $REPOS; do
		echo $a/$d
		[ -d /data/tmp/$a/$d ] || mkdir -p /data/tmp/$a/$d
		repomanage -c -o $a/$d | xargs mv -t /data/tmp/$a/$d
		~/tools/update_repodata $a/$d
	done
	echo Debuginfo $a
	[ -d /data/tmp/Debuginfo/$a ] || mkdir -p /data/tmp/Debuginfo/$a
	repomanage -c -o Debuginfo/$a | xargs mv -t /data/tmp/Debuginfo/$a
	~/tools/update_repodata Debuginfo/$a
done
echo And now source
for i in source/os source/addons; do
echo $i
[ -d /data/tmp/$i ] || mkdir -p /data/tmp/$i
repomanage -c -o $i | xargs mv -t /data/tmp/$i
~/tools/update_repodata $i
done
